package org.ntlab.acanthus_client.entities;

import android.os.Build;
import android.preference.PreferenceDataStore;

import androidx.annotation.RequiresApi;

import java.time.LocalDateTime;
import java.util.HashMap;
import java.util.UUID;

//-----------------------------------------------------------------
// ユーザーアカウント
public class Account{
    private Integer uid;
    private String name;
    private String email;
    private String password;
    private String token;
    private HashMap<Integer, Work> workHashMap = new HashMap<>();
    private Boolean isDummy;
    private LocalDateTime lastAccess;

    //-----------------------------------------------------------------
    public Account(String name, String email, String password){
        this.name = name;
        this.email = email;
        this.password = password;
    }
    //-----------------------------------------------------------------
    // getter
    public Integer getUid() {
        return this.uid;
    }

    public String getName() {
        return this.name;
    }

    public String getEmail() {
        return this.email;
    }

    public String getPassword() {
        return this.password;
    }

    public String getToken() {
        return this.token;
    }

    public HashMap<Integer, Work> getWorkHashMap() {
        return this.workHashMap;
    }

    //-----------------------------------------------------------------
    // setter
    public void setUid(Integer uid) {
        this.uid = uid;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setEmail(String email) {
        this.email = email;
    }
    //-----------------------------------------------------------------

}
